Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357483 - Review Request: twinkle - SIP-based VoIP client
Summary: Review Request: twinkle - SIP-based VoIP client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1358293 1527953
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 10:27 UTC by Sandro Mani
Modified: 2017-12-20 15:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 20:51:19 UTC
puntogil: fedora-review+


Attachments (Terms of Use)
licensecheck.txt (deleted)
2016-07-20 09:47 UTC, gil cattaneo
no flags Details

Description Sandro Mani 2016-07-18 10:27:31 UTC
Spec URL: https://smani.fedorapeople.org/review/twinkle.spec
SRPM URL: https://smani.fedorapeople.org/review/twinkle-1.10.0-1.fc25.src.rpm
Description: SIP-based VoIP client
Fedora Account System Username: smani

$ rpmlint twinkle-1.10.0-1.fc25.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint twinkle
twinkle.x86_64: W: no-manual-page-for-binary twinkle-console

scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14933169

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 gil cattaneo 2016-07-20 09:05:14 UTC
can you take this one https://bugzilla.redhat.com/show_bug.cgi?id=969820 ?

Comment 2 Igor Gnatenko 2016-07-20 09:33:28 UTC
Few quick nitpicks:

* why don't you build released 5 days ago 1.10?

* Use cmake()-style dependencies where available, e.g. for Qt5:
> find_package(Qt5Widgets REQUIRED)
> find_package(Qt5LinguistTools REQUIRED)
> find_package(Qt5Quick REQUIRED)
BR: cmake(Qt5Widgets)
...

* Add %check with desktop-file-validate
* mark %{_mandir}/man1/%{name}.1* as %doc
* Would be great to add g729 and gsm support if possible
* Missing BuildRequires: gcc-c++

Otherwise from first glance looks pretty clean spec file.

Comment 3 Sandro Mani 2016-07-20 09:36:08 UTC
@Igor Gnatenko
Uhm, I am building 1.10? For the rest: fair points, thanks.

Comment 4 Igor Gnatenko 2016-07-20 09:38:41 UTC
(In reply to Sandro Mani from comment #3)
> @Igor Gnatenko
> Uhm, I am building 1.10? For the rest: fair points, thanks.
ah, didn't notice about that %if %{?commit:1}%{!?commit:0}
anyway it's better to use %if %{defined commit}

But I would prefer to drop this commit stuff as you build released version and most likely you will just backport patches or update to new version.

Comment 5 Sandro Mani 2016-07-20 09:41:19 UTC
Right, I started packaging two days before 1.10.0 was released, hence the %commit stuff. But I suppose I can remove it now.

Comment 6 gil cattaneo 2016-07-20 09:44:39 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/twinkle
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.
 Package was retired

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "*No
     copyright* GPL (v2 or later) (with incorrect FSF address)", "GPL (v2
     or later)", "Unknown or generated". 100 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1357483-twinkle/licensecheck.txt

    Please, report thes problems to upstream

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
     
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in twinkle
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in twinkle-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1392640 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: twinkle-1.10.0-1.fc25.i686.rpm
          twinkle-debuginfo-1.10.0-1.fc25.i686.rpm
          twinkle-1.10.0-1.fc25.src.rpm
twinkle.i686: W: no-manual-page-for-binary twinkle-console

twinkle.i686: W: no-manual-page-for-binary twinkle-console
2 packages and 0 specfiles checked; 341 errors, 1 warnings.


twinkle.i686: W: no-manual-page-for-binary twinkle-console
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_codecs.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/epa.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_require.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/phone.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/threads/sema.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/selectnicform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/scanner.lxx
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/selectuserform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_codecs.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/buddylistview.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/events.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/mwi/mwi.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/url.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_record_route.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/identity.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_cseq.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/threads/thread.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_encoder.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/util.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_expires.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/url.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/wizardform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_sip_if_match.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/definitions.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/header.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_p_asserted_identity.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/transaction_layer.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_encoding.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/phone.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/redirect.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/interfaces.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_request_disposition.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/pidf_body.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/messageformview.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_route.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_to.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/userintf.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_retry_after.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_refer_sub.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_rx.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_request_disposition.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/utils/mime_database.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sdp/sdp.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_server.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_proxy_require.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/call_script.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/sip_message.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/route.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/address_finder.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_route.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_rack.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/sip_body.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/redirectform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/mwi/mwi_subscription.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/timekeeper.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_warning.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_contact.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/diamondcard.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/parse_ctrl.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_language.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_rack.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/mwi/mwi_subscription.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/subscription_dialog.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/tone_gen.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/parameter.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/parse_ctrl.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/client_request.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_event.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/twinkle_zrtp_ui.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/id_object.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_in_reply_to.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/challenge.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/twinkle_zrtp_ui.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_decoder.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_user_agent.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_subscription_state.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/dialog.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_length.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sys_settings.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/buddyform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_reply_to.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_disp.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/session.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/userprofileform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/response.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_rx.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/im/msg_session.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/media_buffer.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audits/memman.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/phone_user.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_priority.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_expires.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_type.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/address_book.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/rtp_telephone_event.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_accept_encoding.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/abstract_dialog.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_tx.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/diamondcard.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/transaction.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/main.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_accept.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/pidf_body.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_allow_events.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_user_agent.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_event.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/abstract_dialog.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/patterns/observer.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sub_refer.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_proxy_authorization.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/user.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/exceptions.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_accept.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/definitions.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_privacy.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/presence_dialog.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/media_type.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/socket.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_from.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/messageform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_timestamp.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/utils/file_utils.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_disp.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_encoder.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/mwi/mwi.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/phone_user.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_proxy_authorization.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sequence_number.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/qt_translator.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_call_info.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/service.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/connection_table.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/dialog.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/listener.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/command_args.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/getaddressform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_from.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/dtmf_player.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_www_authenticate.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/coding.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/prohibit_thread.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sdp/sdp_parse_ctrl.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_call_info.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/selectprofileform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/rtp_telephone_event.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/presence_state.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_in_reply_to.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_date.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/im/msg_session.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_unsupported.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/patterns/observer.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sub_refer.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/prohibit_thread.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/id_object.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_date.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_call_id.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_service_route.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/freq_gen.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/threads/mutex.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/messageformview.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/connection.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sdp/sdp_parse_ctrl.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_alert_info.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/client_request.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_mime_version.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/protocol.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/epa.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_decoder.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/dnssrv.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/srvredirectform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_mime_version.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_service_route.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/auth.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/userintf.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/header.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_sip_if_match.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/request.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/freq_gen.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/presence_subscription.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/buddy.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_length.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_p_preferred_identity.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/timekeeper.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/route.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/service.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/auth.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/identity.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_warning.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_referred_by.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/twinkle_rtp_session.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_www_authenticate.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/utils/record_file.hpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_unsupported.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/threads/thread.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_accept_language.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_call_id.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/mwi/mwi_dialog.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_device.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/address_book.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/call_script.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_refer_sub.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_organization.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_record_route.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_auth_info.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_proxy_require.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_subject.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_session.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/presence_epa.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/twinkleapplication.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/user.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_replaces.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/translator.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/syssettingsform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/parameter.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/sip_body.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_timestamp.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/tone_gen.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/addresscardform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sender.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/connection_table.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/events.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/mwi/simple_msg_sum_body.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_via.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_subscription_state.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/gui.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_organization.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/transaction_layer.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_error_info.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sys_settings.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_alert_info.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/mwi/mwi_dialog.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/termcapform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_max_forwards.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/mwi/simple_msg_sum_body.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_language.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/utils/file_utils.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/challenge.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_authorization.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_require.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_retry_after.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/sip_message.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/call_history.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_authorization.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/inviteform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/log.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/threads/sema.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_type.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_privacy.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_min_expires.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_supported.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/authenticationform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/gui.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_subject.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/redirect.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_reply_to.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/credentials.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_auth_info.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/transaction.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/stun/stun_transaction.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/credentials.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/subscription.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_p_asserted_identity.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/session.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_allow.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/historyform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_session.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/call_history.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sdp/sdp.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_contact.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/stun/stun_transaction.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_referred_by.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_min_expires.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/parser.yxx
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_via.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/line.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/socket.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/cmd_socket.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/line.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/utils/record_file.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/presence_state.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/transaction_mgr.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sdp/sdp_scanner.lxx
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_rseq.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/transaction_mgr.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/request.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/threads/mutex.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/sendfileform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/addresstablemodel.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/diamondcardprofileform.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_tx.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_sip_etag.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_accept_language.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_refer_to.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_server.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_refer_to.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/response.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/coding.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/subscription_dialog.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_content_encoding.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/address_finder.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/buddylistview.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/interfaces.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/cmd_socket.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/buddy.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/yesnodialog.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_allow.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_supported.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_proxy_authenticate.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_max_forwards.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/yesnodialog.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sdp/sdp_parser.yxx
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_proxy_authenticate.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/log.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/main.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/addresstablemodel.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/twinkle_rtp_session.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_p_preferred_identity.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_replaces.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/presence_subscription.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_to.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_accept_encoding.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/subscription.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/presence_dialog.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/sockets/connection.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_error_info.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/media_type.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audits/memman.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/audio_device.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_sip_etag.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/dtmf_player.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/util.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/presence/presence_epa.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/audio/media_buffer.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_priority.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/gui/twinkleapplication.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_rseq.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/utils/mime_database.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_cseq.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/im/im_iscomposing_body.h
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/im/im_iscomposing_body.cpp
twinkle-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/twinkle-1.10.0/src/parser/hdr_allow_events.cpp
3 packages and 0 specfiles checked; 341 errors, 1 warnings.


Requires
--------
twinkle-debuginfo (rpmlib, GLIBC filtered):

twinkle (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQt5Core.so.5
    libQt5Core.so.5(Qt_5)
    libQt5Core.so.5(Qt_5.7)
    libQt5Gui.so.5
    libQt5Gui.so.5(Qt_5)
    libQt5Network.so.5
    libQt5Qml.so.5
    libQt5Qml.so.5(Qt_5)
    libQt5Quick.so.5
    libQt5Quick.so.5(Qt_5)
    libQt5Widgets.so.5
    libQt5Widgets.so.5(Qt_5)
    libasound.so.2
    libasound.so.2(ALSA_0.9)
    libasound.so.2(ALSA_0.9.0rc4)
    libc.so.6
    libccrtp.so.0
    libcommoncpp.so.8
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmagic.so.1
    libpthread.so.0
    libreadline.so.6
    libresolv.so.2
    libsndfile.so.1
    libsndfile.so.1(libsndfile.so.1.0)
    libspeex.so.1
    libspeexdsp.so.1
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    libstdc++.so.6(CXXABI_1.3.8)
    libucommon.so.8
    libusecure.so.8
    libxml2.so.2
    libxml2.so.2(LIBXML2_2.4.30)
    libxml2.so.2(LIBXML2_2.6.0)
    libzrtpcpp.so.4
    rtld(GNU_HASH)



Provides
--------
twinkle-debuginfo:
    twinkle-debuginfo
    twinkle-debuginfo(x86-32)

twinkle:
    application()
    application(twinkle.desktop)
    twinkle
    twinkle(x86-32)



Source checksums
----------------
https://github.com/LubosD/twinkle/archive/v1.10.0/twinkle-1.10.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9f05d252698896a7418b23671aa5c7a8b9e0d39b5c15009592240ad7b5745397
  CHECKSUM(SHA256) upstream package : 9f05d252698896a7418b23671aa5c7a8b9e0d39b5c15009592240ad7b5745397


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1357483 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 gil cattaneo 2016-07-20 09:46:40 UTC
Issues (non blocking):

[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "*No
     copyright* GPL (v2 or later) (with incorrect FSF address)", "GPL (v2
     or later)", "Unknown or generated". 100 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1357483-twinkle/licensecheck.txt

Please, report thes problems to upstream.
see attached file

Comment 8 gil cattaneo 2016-07-20 09:47:16 UTC
Created attachment 1182000 [details]
licensecheck.txt

Comment 9 gil cattaneo 2016-07-20 09:57:33 UTC
Please, fix proposed changes in Comment#2

Comment 10 Raphael Groner 2016-07-20 12:37:18 UTC
Maybe want to look into bug #1357064? Another Qt desktop.

Comment 11 Sandro Mani 2016-07-20 12:38:12 UTC
How is this related to this bug?

Comment 12 Sandro Mani 2016-07-20 12:45:51 UTC
Review request of dependency bgc729 for G.729 support:

https://bugzilla.redhat.com/show_bug.cgi?id=1358293

Comment 13 Raphael Groner 2016-07-20 12:51:07 UTC
(In reply to Raphael Groner from comment #10)
> Maybe want to look into bug #1357064? Another Qt desktop.

(In reply to Sandro Mani from comment #11)
> How is this related to this bug?

You asked for review swap on the devel mailing list, but too late for my answer now. Anyways, maybe you could take a look?

Comment 14 Sandro Mani 2016-07-20 14:07:11 UTC
Spec URL: https://smani.fedorapeople.org/review/twinkle.spec
SRPM URL: https://smani.fedorapeople.org/review/twinkle-1.10.0-2.fc25.src.rpm

%changelog
* Wed Jul 20 2016 Sandro Mani <manisandro@gmail.com> - 1.10.0-2
- Remove git snapshot macros
- Enable gsm, g729
- Use cmake style dependencies
- Add BR: gcc-c++
- Mark man as %%doc

Comment 15 gil cattaneo 2016-07-20 16:39:44 UTC
Approved

Comment 16 Sandro Mani 2016-07-20 16:42:43 UTC
Thanks!

Comment 17 Gwyn Ciesla 2016-07-20 16:51:28 UTC
Package request has been denied with the reason: Please re-request in the rpms namespace.

Comment 18 Gwyn Ciesla 2016-07-20 16:51:57 UTC
Package request has been denied with the reason: Please re-request in the rpms namespace.

Comment 19 Gwyn Ciesla 2016-07-20 16:52:28 UTC
Package request has been denied with the reason: Please re-request in the rpms namespace.

Comment 20 Raphael Groner 2016-07-20 17:16:07 UTC
Be careful to choose namespace "rpms" in PkgDB request. There's currently a bug with the misleading default "docker".

Comment 21 Sandro Mani 2016-07-20 17:16:47 UTC
Thanks, Yeah I noticed...

Comment 22 Fedora Update System 2016-07-26 07:17:56 UTC
twinkle-1.10.0-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-51cca4962e

Comment 23 Fedora Update System 2016-07-26 07:19:57 UTC
twinkle-1.10.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2dca03a5b

Comment 24 Fedora Update System 2016-07-28 04:18:26 UTC
twinkle-1.10.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2dca03a5b

Comment 25 Fedora Update System 2016-07-28 06:00:00 UTC
twinkle-1.10.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-51cca4962e

Comment 26 Fedora Update System 2016-08-04 20:51:13 UTC
twinkle-1.10.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-08-04 20:54:15 UTC
twinkle-1.10.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.